Servicios de asistencia técnica
Add an escalation channel
POST
/api/v1/help-desks/{id}/channelsNecesitas una clave API de la organización con permiso de edición.
Authorization
apiKey AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/help-desks/string/channels" \ -H "Content-Type: application/json" \ -d '{ "kind": "email", "name": "string" }'{ "id": "string", "name": "string", "createdAt": "string", "updatedAt": "string", "enabled": true, "position": 0, "kind": "external_link", "helpDeskId": "string", "formTitle": "string", "form": [ { "id": "string", "type": "date", "label": "string", "placeholder": "string", "usePlaceholderAsDefault": false, "useAsReplyTo": false, "required": false, "showInForm": false, "options": [ "string" ] } ], "confirmationMessage": "string", "conversationData": { "chatSummary": false, "fullChatHistory": false, "userData": false, "metadata": false }, "availability": { "mode": "always", "timezone": "string", "hours": { "monday": { "enabled": true, "ranges": [ null ] }, "tuesday": { "enabled": true, "ranges": [ null ] }, "wednesday": { "enabled": true, "ranges": [ null ] }, "thursday": { "enabled": true, "ranges": [ null ] }, "friday": { "enabled": true, "ranges": [ null ] }, "saturday": { "enabled": true, "ranges": [ null ] }, "sunday": { "enabled": true, "ranges": [ null ] } } }, "config": { "authType": "none", "url": "string", "headers": [ { "id": null, "name": null, "value": null } ], "queryParams": [ { "id": null, "name": null, "value": null } ], "destinationEmail": "string", "phoneNumber": "string", "phoneCountry": "string", "apiKeyHeaderName": "string", "basicUsername": "string", "hasApiKey": true, "hasBearerToken": true, "hasBasicPassword": true }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}